import request from '@/utils/httpRequest'

export default class MaterialManagementService {
  list (param) {
    return request({
      url: '/material/management/list',
      method: 'get',
      params: param
    })
  }
  save (param) {
    return request({
      url: '/material/management/save',
      method: 'post',
      data: param
    })
  }
  findById (id) {
    return request({
      url: '/material/management/findById',
      method: 'get',
      params: {id: id}
    })
  }
  remove (id) {
    return request({
      url: '/material/management/remove',
      method: 'get',
      params: {id: id}
    })
  }
  updateStatusById (param) {
    return request({
      url: '/material/management/updateStatusById',
      method: 'post',
      data: param
    })
  }
  exportFile (params) {
    return request({
      url: '/reimbursementApproval/info/exportFile',
      method: 'get',
      params: params,
      responseType: 'blob'
    })
  }
}
